Type to search.

Create an JinaAI inference endpoint

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.18 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create an inference endpoint to perform an inference task with the jinaai service.

To review the available rerank models, refer to https://jina.ai/reranker. To review the available text_embedding models, refer to the https://jina.ai/embeddings/.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: rerank text_embedding
jinaai_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, jinaai.

Values: jinaai
service_settings object required

Settings used to install the inference model. These settings are specific to the jinaai service.

api_key string required

A valid API key of your JinaAI account.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

model_id string required

The name of the model to use for the inference task.

similarity enum

For a text_embedding task, the similarity measure. One of cosine, dot_product, l2_norm. The default values varies with the embedding type. For example, a float embedding type uses a dot_product similarity measure by default.

Values: cosine dot_product l2_norm
dimensions number

For a text_embedding task, the number of dimensions the resulting output embeddings should have. By default, the model's standard output dimension is used. Refer to the Jina documentation for more information.

embedding_type enum · default: float

For a text_embedding task, the data type returned by the model. Use bit for binary embeddings, which are encoded as bytes with signed int8 precision. Use binary for binary embeddings, which are encoded as bytes with signed int8 precision (this is a synonym of bit). Use float for the default float embeddings.

Values: binary bit float

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding rerank